Browse files

Prepped for 0.1.0 release.

  • Loading branch information...
1 parent b32334c commit 780383d36fc615a404501ae99c4a018a57b6066b @jnunemaker committed Dec 16, 2008
Showing with 39 additions and 1 deletion.
  1. +1 −1 Manifest
  2. +38 −0 wufoo.gemspec
View
2 Manifest
@@ -1,9 +1,9 @@
History
lib/wufoo/version.rb
lib/wufoo.rb
+Manifest
MIT-LICENSE
Rakefile
README
test/test_helper.rb
test/test_wufoo.rb
-Manifest
View
38 wufoo.gemspec
@@ -0,0 +1,38 @@
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{wufoo}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
+ s.authors = ["John Nunemaker"]
+ s.date = %q{2008-12-16}
+ s.description = %q{simple wrapper for the wufoo api}
+ s.email = %q{nunemaker@gmail.com}
+ s.extra_rdoc_files = ["lib/wufoo/version.rb", "lib/wufoo.rb", "README"]
+ s.files = ["History", "lib/wufoo/version.rb", "lib/wufoo.rb", "MIT-LICENSE", "Rakefile", "README", "test/test_helper.rb", "test/test_wufoo.rb", "Manifest", "wufoo.gemspec"]
+ s.has_rdoc = true
+ s.homepage = %q{}
+ s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "Wufoo", "--main", "README"]
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{wufoo}
+ s.rubygems_version = %q{1.3.1}
+ s.summary = %q{simple wrapper for the wufoo api}
+ s.test_files = ["test/test_helper.rb", "test/test_wufoo.rb"]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<httparty>, ["= 0.2.2"])
+ s.add_development_dependency(%q<echoe>, [">= 0"])
+ else
+ s.add_dependency(%q<httparty>, ["= 0.2.2"])
+ s.add_dependency(%q<echoe>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<httparty>, ["= 0.2.2"])
+ s.add_dependency(%q<echoe>, [">= 0"])
+ end
+end

0 comments on commit 780383d

Please sign in to comment.